## tomcat8 8.5.37

=== debian/changelog ===
tomcat8 (8.5.37-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Jan 2019 11:21:38 +0100

tomcat8 (8.5.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Dec 2018 21:53:00 +0100
