## tomcat8 8.5.38

=== debian/changelog ===
tomcat8 (8.5.38-2~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.
  * Team upload.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 14 Mar 2019 18:04:58 +0100

tomcat8 (8.5.38-2) unstable; urgency=high

  * Team upload.
  * Apply upstream patch to unbreak the startup script (Closes: #922863)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 26 Feb 2019 21:37:51 +0100

tomcat8 (8.5.38-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Feb 2019 00:28:31 +0100

tomcat8 (8.5.38-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Feb 2019 15:27:17 +0100

tomcat8 (8.5.37-2) unstable; urgency=medium

  * Team upload.
  * No longer build the JavaEE API packages
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Jan 2019 01:01:24 +0100

tomcat8 (8.5.35-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 Nov 2018 14:37:26 +0100

tomcat8 (8.5.34-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 22:26:00 +0200

tomcat8 (8.5.29-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Apr 2018 09:53:37 +0200
