=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  lsb-release,
  maven-repo-helper,
  po-debconf
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/java-team/tomcat8.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat8
 Homepage: http://tomcat.apache.org
