=== debian/watch ===
version=4
opts="mode=git,repack=true,compression=xz,uversionmangle=s/-(alpha|beta|RC)/~$1/" \
https://github.com/apache/tomcat refs/tags/(8\.[\d\.]+)
