## tomcat8 8.5.50

=== debian/changelog ===
tomcat8 (8.5.50-0+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2018-11784, CVE-2018-8014, CVE-2019-0199, CVE-2019-0221,
    CVE-2019-12418, CVE-2019-17563.
    Several security vulnerabilities were found in Tomcat 8 that may lead to
    denial-of-service or local privilege escalation.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Dec 2019 22:40:00 +0100

tomcat8 (8.5.14-1+deb9u3) stretch-security; urgency=high

  [ Emmanuel Bourg ]
  * Fixed CVE-2018-1304: Security constraints mapped to context root are
    ignored. The URL pattern of "" (the empty string) which exactly maps to the
    context root was not correctly handled when used as part of a security
    constraint definition. This caused the constraint to be ignored. It was,
    therefore, possible for unauthorised users to gain access to web
    application resources that should have been protected. Only security
    constraints with a URL pattern of the empty string were affected.
  * Fixed CVE-2018-1305: Security constraint annotations applied too late.
    Security constraints defined by annotations of Servlets were only applied
    once a Servlet had been loaded. Because security constraints defined in
    this way apply to the URL pattern and any URLs below that point, it was
    possible - depending on the order Servlets were loaded - for some security
    constraints not to be applied. This could have exposed resources to users
    who were not authorised to access them.
  * Changed the Class-Path manifest entry of tomcat8-jasper.jar to use
    the specification jars from libtomcat8-java instead of libservlet3.1-java
    (Closes: #867247)

  [ Markus Koschany ]
  * Fix CVE-2018-1336: An improper handing of overflow in the UTF-8 decoder
    with supplementary characters can lead to an infinite loop in the decoder
    causing a Denial of Service.
  * Fix CVE-2018-8034: The host name verification when using TLS with the
    WebSocket client was missing. It is now enabled by default.
  * Fix CVE-2018-8037: If an async request was completed by the application at
    the same time as the container triggered the async timeout, a race condition
    existed that could result in a user seeing a response intended for a
    different user. An additional issue was present in the NIO and NIO2
    connectors that did not correctly track the closure of the connection when an
    async request was completed by the application and timed out by the container
    at the same time. This could also result in a user seeing a response intended
    for another user.

 -- Markus Koschany <apo@debian.org>  Fri, 24 Aug 2018 21:44:12 +0200

tomcat8 (8.5.14-1+deb9u2) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2017-7674:
    The CORS Filter did not add an HTTP Vary header indicating that the
    response varies depending on Origin. This permitted client and server side
    cache poisoning in some circumstances.
  * Fix CVE-2017-7675:
    The HTTP/2 implementation bypassed a number of security checks that
    prevented directory traversal attacks. It was therefore possible to bypass
    security constraints using a specially crafted URL.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Sep 2017 19:51:58 +0200

tomcat8 (8.5.14-1+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fixed CVE-2017-5664: Static error pages can be overwritten if the
    DefaultServlet is configured to permit writes (Closes: #864447)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 21 Jun 2017 13:36:46 +0200
