## tomcat8 8.5.54

=== debian/changelog ===
tomcat8 (8.5.54-0+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2019-17569: HTTP Request Smuggling
     The refactoring in 8.5.48 introduced a regression. The result of the
     regression was that invalid Transfer-Encoding headers were incorrectly
     processed leading to a possibility of HTTP Request Smuggling if Tomcat was
     located behind a reverse proxy that incorrectly handled the invalid
     Transfer-Encoding header in a particular manner. Such a reverse proxy is
     considered unlikely.
   * Fix CVE-2020-1935: HTTP Request Smuggling
     The HTTP header parsing code used an approach to end-of-line (EOL) parsing
     that allowed some invalid HTTP headers to be parsed as valid. This led to a
     possibility of HTTP Request Smuggling if Tomcat was located behind a
     reverse proxy that incorrectly handled the invalid Transfer-Encoding header
     in a particular manner. Such a reverse proxy is considered unlikely.
   * Fix CVE-2020-1938: AJP Request Injection and potential Remote Code
     Execution When using the Apache JServ Protocol (AJP), care must be taken
     when trusting incoming connections to Apache Tomcat. Tomcat treats AJP
     connections as having higher trust than, for example, a similar HTTP
     connection. If such connections are available to an attacker, they can be
     exploited in ways that may be surprising. Prior to Tomcat 8.5.51, Tomcat
     shipped with an AJP Connector enabled by default that listened on all
     configured IP addresses. It was expected (and recommended in the security
     guide) that this Connector would be disabled if not required.
     .
     Note that Debian already disabled the AJP connector by default. Mitigation
     is only required if the AJP port was made accessible to untrusted users.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Apr 2020 17:01:31 +0200
