=== debian/control ===
--- 
+++ 
@@ -2,39 +2,37 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- James Page <james.page@ubuntu.com>,
- tony mancill <tmancill@debian.org>,
- Jakub Adam <jakub.adam@ktknet.cz>,
- Emmanuel Bourg <ebourg@apache.org>
-Build-Depends:
- ant-optional,
- debhelper (>= 11),
- default-jdk,
- javahelper,
- junit4 (>= 4.11),
- libcglib-nodep-java,
- libeasymock-java (>= 3.0),
- libecj-java (>= 3.11.0),
- libhamcrest-java (>= 1.3),
- libobjenesis-java,
- libtaglibs-standard-impl-java,
- libtaglibs-standard-spec-java,
- libtcnative-1 (>= 1.2.18),
- lsb-release,
- maven-repo-helper,
- po-debconf
-Standards-Version: 4.3.0
+Uploaders: James Page <james.page@ubuntu.com>,
+           Miguel Landaeta <nomadium@debian.org>,
+           tony mancill <tmancill@debian.org>,
+           Jakub Adam <jakub.adam@ktknet.cz>,
+           Emmanuel Bourg <ebourg@apache.org>
+Build-Depends: ant-optional,
+               debhelper (>= 10),
+               default-jdk,
+               po-debconf
+Build-Depends-Indep: javahelper,
+                     junit4 (>= 4.11),
+                     libcglib-nodep-java,
+                     libeasymock-java (>= 3.0),
+                     libecj-java (>= 3.11.0),
+                     libhamcrest-java (>= 1.3),
+                     libtaglibs-standard-spec-java,
+                     libtaglibs-standard-impl-java,
+                     libtcnative-1,
+                     libobjenesis-java,
+                     lsb-release,
+                     maven-repo-helper
+Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/java-team/tomcat8.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat8
 Homepage: http://tomcat.apache.org
 
 Package: tomcat8-common
 Architecture: all
-Depends:
- default-jre-headless | java8-runtime-headless | java8-runtime,
- libtomcat8-java (>= ${source:Version}),
- ${misc:Depends}
+Depends: default-jre-headless | java8-runtime-headless | java8-runtime,
+         libtomcat8-java (>= ${source:Version}),
+         ${misc:Depends}
 Description: Apache Tomcat 8 - Servlet and JSP engine -- common files
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
@@ -45,20 +43,12 @@
 
 Package: tomcat8
 Architecture: all
-Depends:
- adduser,
- lsb-base (>= 3.0-6),
- tomcat8-common (>= ${source:Version}),
- ucf,
- ${misc:Depends}
-Recommends:
- authbind,
- libtcnative-1 (>= 1.2.18)
-Suggests:
- tomcat8-admin (>= ${source:Version}),
- tomcat8-docs (>= ${source:Version}),
- tomcat8-examples (>= ${source:Version}),
- tomcat8-user (>= ${source:Version})
+Depends: adduser, lsb-base (>= 3.0-6), tomcat8-common (>= ${source:Version}), ucf, ${misc:Depends}
+Recommends: authbind, libtcnative-1 (>= 1.2.21~)
+Suggests: tomcat8-admin (>= ${source:Version}),
+          tomcat8-docs (>= ${source:Version}),
+          tomcat8-examples (>= ${source:Version}),
+          tomcat8-user (>= ${source:Version})
 Description: Apache Tomcat 8 - Servlet and JSP engine
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
@@ -73,15 +63,11 @@
 
 Package: tomcat8-user
 Architecture: all
-Depends:
- netcat,
- tomcat8-common (>= ${source:Version}),
- ${misc:Depends}
-Suggests:
- tomcat8 (>= ${source:Version}),
- tomcat8-admin (>= ${source:Version}),
- tomcat8-docs (>= ${source:Version}),
- tomcat8-examples (>= ${source:Version})
+Depends: netcat, tomcat8-common (>= ${source:Version}), ${misc:Depends}
+Suggests: tomcat8 (>= ${source:Version}),
+          tomcat8-admin (>= ${source:Version}),
+          tomcat8-docs (>= ${source:Version}),
+          tomcat8-examples (>= ${source:Version})
 Description: Apache Tomcat 8 - Servlet and JSP engine -- tools to create user instances
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
@@ -115,6 +101,28 @@
  This package contains the libraries required to embed Tomcat into Java
  applications.
 
+Package: libservlet3.1-java
+Architecture: all
+Depends: ${misc:Depends}
+Description: Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes
+ Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
+ specifications from Oracle, and provides a "pure Java" HTTP web
+ server environment for Java code to run.
+ .
+ This package contains the Java Servlet and JSP library.
+
+Package: libservlet3.1-java-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: libservlet3.1-java (>= ${source:Version})
+Description: Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API documentation
+ Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
+ specifications from Oracle, and provides a "pure Java" HTTP web
+ server environment for Java code to run.
+ .
+ This package contains the documentation for the Java Servlet and JSP library.
+
 Package: tomcat8-admin
 Architecture: all
 Depends: tomcat8-common (>= ${source:Version}), ${misc:Depends}
@@ -127,11 +135,10 @@
 
 Package: tomcat8-examples
 Architecture: all
-Depends:
- libtaglibs-standard-impl-java,
- libtaglibs-standard-spec-java,
- tomcat8-common (>= ${source:Version}),
- ${misc:Depends}
+Depends: libtaglibs-standard-spec-java,
+         libtaglibs-standard-impl-java,
+         tomcat8-common (>= ${source:Version}),
+         ${misc:Depends}
 Description: Apache Tomcat 8 - Servlet and JSP engine -- example web applications
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
