=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/pkg-info.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
 
+VERSION   := $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*$$//' | sed 's/~/-/')
+DATE      := $(shell dpkg-parsechangelog --show-field Date)
 ANT       := ant -propertyfile debian/ant.properties \
-             -Dyear=$(shell date --date='@$(SOURCE_DATE_EPOCH)' --utc +'%Y') \
-             -Dtoday='$(shell LC_ALL=C date --date='@$(SOURCE_DATE_EPOCH)' --utc +'%b %-d %Y')' \
-             -Dtoday-iso-8601=$(shell date --date='@$(SOURCE_DATE_EPOCH)' --utc +'%F') \
-             -Dtstamp=$(shell date --date='@$(SOURCE_DATE_EPOCH)' --utc +%H:%M:%S) \
+             -Dyear=$(shell date --date='$(DATE)' --utc +'%Y') \
+             -Dtoday='$(shell LC_ALL=C date --date='$(DATE)' --utc +'%b %-d %Y')' \
+             -Dtoday-iso-8601=$(shell date --date='$(DATE)' --utc +'%F') \
+             -Dtstamp=$(shell date --date='$(DATE)' --utc +%H:%M:%S) \
              -Ddistribution.name=$(shell lsb_release -si)
 
 %:
@@ -17,10 +17,16 @@
 override_dh_auto_build:
 	$(ANT) extras-jmx-remote deploy embed-jars
 
+	# Build the Javadoc for the Servlet, JSP, EL and WebSocket APIs
+	$(JAVA_HOME)/bin/javadoc -locale en_US -subpackages "javax.servlet:javax.el:javax.websocket" -d "output/api" \
+		-sourcepath "java" -author -version -breakiterator -notimestamp \
+		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
+		-bottom "Copyright &#169; 2000-2016 The Apache Software Foundation. All Rights Reserved."
+
 	# Prepare the Maven artifacts
 	mkdir -p debian/poms
 	cp res/maven/*.pom debian/poms
-	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/$(DEB_VERSION_UPSTREAM)/' debian/poms/*.pom
+	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/$(VERSION)/' debian/poms/*.pom
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -45,3 +51,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) clean
+
+get-orig-source:
+	-uscan --force-download --rename
